/* enable global interrupts */
#define GIE      	        	   (SREG |= BIT(7))

/* disable global interrupts */
#define GID       	         	   (SREG &= ~BIT(7))

#define SLEEP()	asm("sleep")


/* enables an unsigned char to be used as a series of booleans */
#define BIT(x)	           (1 << (x))
#define SETBIT(x, y)   	   (x |= y)
#define CLEARBIT(x, y) 	   (x &= ~y)
#define CHECKBIT(x, y) 	   (x & y)



// ***** Define I/O pins *****


#define BIT7 0x80
#define BIT6 0x40
#define BIT5 0x20
#define BIT4 0x10
#define BIT3 0x08
#define BIT2 0x04
#define BIT1 0x02
#define BIT0 0x01


#define true 1
#define True 1

#define false 0
#define False 0
