#include <reg52.h>
#include <intrins.h>
#include <Eeprom.h>

//---------------------------------//
//-------ȡEEPROM	   -------//  
//-------ǰҪIAP
//-------ڵַ   
//-------  :
unsigned char byte_read(unsigned char addressh,unsigned char addressl)
{

  unsigned char data_buf;


  ISP_CONTR=ENABLE_ISP;
  ISP_CMD=0x01;		     //select read AP mode
  ISP_ADDRH=addressh;
  ISP_ADDRL=addressl;
  EA=0;
  ISP_TRIG=0x5A;
  ISP_TRIG=0xA5;
  _nop_();
  _nop_();
  _nop_();
  _nop_();
  data_buf=ISP_DATA;
  return  data_buf;
  EA=0;
  IAP_Disable();
}


//---------------------------------//
//-------дEEPROM	   -------//  
//-------ǰҪIAP
//-------ڵַ   
//-------д 
void byte_program(unsigned char addressh,unsigned char addressl,unsigned char eedata)
{


  ISP_CONTR=ENABLE_ISP;
  ISP_CMD=0x02;		     //select Byte Programe  mode
  ISP_ADDRH=addressh;
  ISP_ADDRL=addressl;
  ISP_DATA=eedata;
  EA=0;
  ISP_TRIG=0x5A;
  ISP_TRIG=0xA5;
  _nop_();
  _nop_();
  EA=0;
  IAP_Disable();
}



//---------------------------------//
//--------------//  
//-------ǰҪIAP
//-------ڵַ   
void sector_erase(unsigned char addressh,unsigned char addressl)
{

  ISP_CONTR=ENABLE_ISP;
  ISP_CMD=0x03;		     //select page erase mode
  ISP_ADDRH=addressh;
  ISP_ADDRL=addressl;
  EA=0;
  ISP_TRIG=0x5A;
  ISP_TRIG=0xA5;
  _nop_();
  _nop_();
  EA=0;
  IAP_Disable();
}



void IAP_Disable(void)
{
  ISP_CONTR=0x00;
  ISP_CMD=0x00;
  ISP_TRIG=0x00;
}
