#include <reg52.h>
#include <intrins.h>
#include <cc1100.h>


//***************๦ʲÿϸοDATACC1100Ӣĵе48-49ҳĲ******************
//INT8U PaTabel[8] = {0x04 ,0x04 ,0x04 ,0x04 ,0x04 ,0x04 ,0x04 ,0x04};  //-30dBm   С
INT8U PaTabel[8] = {0x60 ,0x60 ,0x60 ,0x60 ,0x60 ,0x60 ,0x60 ,0x60};  //0dBm
//INT8U PaTabel[8] = {0xC0 ,0xC0 ,0xC0 ,0xC0 ,0xC0 ,0xC0 ,0xC0 ,0xC0};   //10dBm     



void UART_init()
{
	SCON = 0x50;       /* uart in mode 1 (8 bit), REN=1 */
	TMOD = TMOD | 0x20 ;         /* Timer 1 in mode 2 */
	TH1  = 0xFD;                 /* 9600 Bds at 11.059MHz */
	TL1  = 0xFD;        /* 9600 Bds at 11.059MHz */
	//IE =0x90;
	TR1 = 1;                     /* Timer 1 run */
}

void Sendchar(unsigned char c)
{
	SBUF=c;                                     
	while(TI==0);                                               
	TI=0;
}

void print_string(unsigned char* p)
{
while(*p !='\0')
{
  Sendchar(*p++);
}
}



void main(void)
{

	INT8U leng=0;
	INT8U tf=0;
	INT8U integer,decimal;
	INT8U TxBuf[8];	 // 8ֽ, Ҫݰ,ȷ
	INT8U RxBuf[8];	

    BELL=1;
	led0=0;
	led1=0;
	UART_init();
	CpuInit();
	POWER_UP_RESET_CC1100();
	halRfWriteRfSettings();
	halSpiWriteBurstReg(CCxxx0_PATABLE, PaTabel, 8);

	//TxBuf[0] = 8 ;
	TxBuf[1] = 1 ;
	TxBuf[2] = 1 ;
	halRfSendPacket(TxBuf,8);	// Transmit Tx buffer data
	delay(6000);

    BELL=0;
	led0=1;
	led1=1;
	while(1)
	{
	    //setRxMode();
    	if(KEY1 ==0 ) 
	  	{

		    delay(200);
			if(KEY1==0)
			  {
		       TxBuf[1] = 1 ;
			   TxBuf[2] = 0 ;
	      	   led0=0;
		       tf = 1 ; 
			   }
			//while(KEY1 ==0);
	    }
	   if(KEY2 ==0 )
	   {
			delay(200);
			if(KEY2==0)
			  {
		       TxBuf[1] = 0 ;
		       TxBuf[2] = 1 ;
	    	   led1=0;
			   tf = 1 ; 
			   }
	   }

	   if (tf==1)
       {	
			halRfSendPacket(TxBuf,8);	// Transmit Tx buffer data
			TxBuf[1] = 0xff;
			TxBuf[2] = 0xff;
			tf=0;
			tf=0;
			delay(500);
			tf=0;

	   }

		leng =8; // Ԥƽ8 bytes
   		if(halRfReceivePacket(RxBuf,&leng))
		{
						
			if(	RxBuf[1]==1)
			{	 	
            BELL=1;
			led0=1;
			led1=0;
			}
			if(	RxBuf[2]==1)
			{
			BELL=1;
			led0=0;
			led1=1;
			}
	     	delay(1000);
			integer=RxBuf[3];
			decimal=RxBuf[4];
  	 	    print_string("Current temperature: ");
	    	Sendchar(integer/10 +'0');
	    	Sendchar(integer%10 +'0');
	    	Sendchar('.');
	    	Sendchar(decimal/10 +'0');
	    	Sendchar(decimal%10 +'0');
	    	Sendchar('\r');
	    	Sendchar('\n');

		}
		BELL=0;
	    led0=1;
		led1=1;
		RxBuf[1] = 0xff;
		RxBuf[2] = 0xff;
	}
	
}