#ifndef _FLY8000_H_
#define _FLY8000_H_
#include "public.h"

#define UART_TxRxBuf_Len  40
//---------------------Ŷ-----------------------
sbit  S1_IN = P3^2;
sbit  S2_IN = P1^5;

//---------------------Ŷ--------------------
sbit LED1 = P1^7;
sbit LED2 = P1^6;

#define  LED1_ON()  LED1=0
#define  LED1_OFF()  LED1=1
#define  LED2_ON()  LED2=0
#define  LED2_OFF()  LED2=1
//----------------------ԭ------------------------

void IO_Init(void);
void delay_ms(uint8 n); 
void delay_10us(uint8 n);

void UART_Init(void);
void UART_SendByte(uint8 txdata);
void UART_SendString(uint8*  Str);	 
void UART_Parse(void) ;

#endif
