#include <reg52.h>
#include <intrins.h>
#include "lcd_12864s_driver.h"
#include "DS18B20.h"
#include "lcdcode.h"
#include "cc1100.h"
#include "IO_def.h"

unsigned char ten;
unsigned char bflag;//ָʾǷҪ
unsigned char txrxbuf[32];



//***************๦ʲÿϸοDATACC1100Ӣĵе48-49ҳĲ******************
//INT8U PaTabel[8] = {0x04 ,0x04 ,0x04 ,0x04 ,0x04 ,0x04 ,0x04 ,0x04};  //-30dBm   С
INT8U PaTabel[8] = {0x60 ,0x60 ,0x60 ,0x60 ,0x60 ,0x60 ,0x60 ,0x60};  //0dBm
//INT8U PaTabel[8] = {0xC0 ,0xC0 ,0xC0 ,0xC0 ,0xC0 ,0xC0 ,0xC0 ,0xC0};   //10dBm     

void UART_init()
{
	SCON = 0x50;                 /* uart in mode 1 (8 bit), REN=1 */
	TMOD = TMOD | 0x20 ;         /* Timer 1 in mode 2 */
	TH1  = 0xFD;                 /* 9600 Bds at 11.059MHz */
	TL1  = 0xFD;                 /* 9600 Bds at 11.059MHz */
	//IE =0x90;
	TR1 = 1;                     /* Timer 1 run */
}

void Sendchar(unsigned char c)
{
	SBUF=c;                                     
	while(TI==0);                                               
	TI=0;
}

//void print_string(unsigned char* p)
//{
//while(*p !='\0')
//{
//  Sendchar(*p++);
//}
//}



void main()
{

	INT8U leng=8;
	INT8U tf=0;
	INT8U TxBuf[8];	 // 8ֽ, Ҫݰ,ȷ
	INT8U RxBuf[8];	

    BELL = 1;
	LED1=0;
	LED2=0;
		
	UART_init();
    Lcd12864sInitializtion();
	Lcd12864sCls();
    Lcd12864sBmpPrintf(0,0,fytootech);
	//Lcd12864sBmpPrintf(2,32,wxzj);
	Lcd12864sBmpPrintf(3,3,dqwd);

	Lcd12864sBmpPrintf(6,9,web);


	CpuInit();
	POWER_UP_RESET_CC1100();
	halRfWriteRfSettings();
	halSpiWriteBurstReg(CCxxx0_PATABLE, PaTabel, 8);

	//TxBuf[0] = 8 ;
	TxBuf[1] = 1 ;
	TxBuf[2] = 1 ;
	halRfSendPacket(TxBuf,8);	// Transmit Tx buffer data
	delay(6000);

	Init_DS18B20();
	Adjust_res_18B20(0x3f);	  //0.25
	ReadTemperature();
	
    BELL = 0;	
	LED1=1;
	LED2=1;
	while (1)
	{
	    
			//ReadTemperature();
		Init_DS18B20();
		WriteOneChar_18B20(0xCC); // кŵĲ
		WriteOneChar_18B20(0x44); // ¶Ȫ


    	if(KEY1 ==0 ) 
	  	{

		    delay(200);
			if(KEY1==0)
			  {
		       TxBuf[1] = 1 ;
			   TxBuf[2] = 0 ;
	      	   LED2=0;
		       tf = 1 ; 
			   }
			//while(KEY1 ==0);
	    }
	   if(KEY2 ==0 )
	   {
			delay(200);
			if(KEY2==0)
			  {
		       TxBuf[1] = 0 ;
		       TxBuf[2] = 1 ;
	    	   LED1=0;
			   tf = 1 ; 
			   }
	   }

	   if (tf==1)
       {	
			halRfSendPacket(TxBuf,8);	// Transmit Tx buffer data
			TxBuf[1] = 0xff;
			TxBuf[2] = 0xff;
			tf=0;
			tf=0;
			delay(500);
			tf=0;

	   }


		leng =8; // Ԥƽ8 bytes
   		if(halRfReceivePacket(RxBuf,&leng))
		{
						
			if(	RxBuf[1]==1)
			{	 	

			LED1=1;
			LED2=0;
			}
			if(	RxBuf[2]==1)
			{
	
			LED1=0;
			LED2=1;
			}
		delay(1000);

		}

	    LED1=1;
		LED2=1;
		RxBuf[1] = 0xff;
		RxBuf[2] = 0xff;


		//ȡ¶
		Init_DS18B20();
		WriteOneChar_18B20(0xCC); //кŵĲ
		WriteOneChar_18B20(0xBE); //ȡ¶ȼĴ
		
		tempL=ReadOneChar_18B20(); //¶ȵĵλLSB
		tempH=ReadOneChar_18B20(); //¶ȵĸλMSB 
		
		if(tempH>0x7f)      //λΪ1ʱ¶Ǹ
		{
		tempL=~tempL;         //תȡһ
		tempH=~tempH+1;       
		fg=0;      //ȡ¶Ϊʱfg=0
		}
		integer = tempL/16+tempH*16;      //
		decimal1 = (tempL&0x0f)*10/16; //Сһλ
		decimal2 = (tempL&0x0f)*100/16%10;//Сڶλ
		decimal=decimal1*10+decimal2; //С
        TxBuf[3]=integer;
		TxBuf[4]=decimal;
        	
//		print_string("Current temperature: ");
//		Sendchar(integer/10 +'0');
//		Sendchar(integer%10 +'0');
//		Sendchar('.');
//		Sendchar(decimal/10 +'0');
//		Sendchar(decimal%10 +'0');
//		Sendchar('\r');
//		Sendchar('\n');

		//Lcd12864sBmpPrintf(3,9,dqwd);
		ten = integer/10;
		Lcd12864sAscPrintf(3,74,asc_code+16*'0'-32*16+16*ten);
		ten  =	integer-ten*10;
		Lcd12864sAscPrintf(3,82,asc_code+16*'0'-32*16+16*ten);
		Lcd12864sAscPrintf(3,90,dot);

		ten = decimal/10;
		Lcd12864sAscPrintf(3,98,asc_code+16*'0'-32*16+16*ten);
		ten  =	decimal-ten*10;
		Lcd12864sAscPrintf(3,106,asc_code+16*'0'-32*16+16*ten);
		Lcd12864sBmpPrintf(3,114,du);

	}
	
}